This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 137024 - lvm2 missing prereq for /bin/uname
lvm2 missing prereq for /bin/uname
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-10-25 04:41 EDT by Steve Hill
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 12:51:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Hill 2004-10-25 04:41:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
The preinstall script for the lvm2 package requires /bin/uname but
this is not listed as a Prerequisite.

Version-Release number of selected component (if applicable):
2.00.25-1

How reproducible:
Always

Steps to Reproduce:
1. Install lvm2 package on a system with /bin/uname not present (e.g.
installing the whole OS from scratch using RPM or YUM instead of Anaconda)


Actual Results:  lvm2 preinstall script fails with following error:

/var/tmp/rpm-tmp.98345: line 1: /bin/uname: No such file or directory
You need to be running a 2.6 kernel to install lvm2.
error: %pre(lvm2-2.00.25-1) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping lvm2-2.00.25-1


Expected Results:  The coreutils package contains /bin/uname - if the
package was specified in the installation list this should be
reordered to install first, otherwise the installation of lvm2 should
fail citing a dependency failure.

Additional info:
Comment 3 Alasdair Kergon 2004-11-03 08:32:43 EST
This test is a workaround to stop people from attempting to install
the lvm2 RPM (outside anaconda) if they might be running LVM1 during
the install.  I have an updated version of the test using bash
built-ins instead of /bin/uname.
Comment 7 Alasdair Kergon 2004-12-08 12:51:12 EST
Let's leave things as they are currently, without using /bin/uname.

If people do still find problems, I'll reinstate an internal bash
version of the test.

Closing for now.

Note You need to log in before you can comment on or make changes to this bug.